package com.bonus.canteen.core.drp.dto;

import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

public class DrpUnitAddDTO {
   @ApiModelProperty("计量单位名称")
   private @NotBlank(
   message = "计量单位名称不能为空 ^_^"
) String unitName;
   @ApiModelProperty("换算比率(换算成?g)")
   private @NotNull(
   message = "换算比率不能为空 ^_^"
) BigDecimal rate;
   @ApiModelProperty("单位类型(1-按份,2-称重)")
   private Integer weighType;
   @ApiModelProperty("区域ID")
   private Long areaId;

   public String getUnitName() {
      return this.unitName;
   }

   public BigDecimal getRate() {
      return this.rate;
   }

   public Integer getWeighType() {
      return this.weighType;
   }

   public Long getAreaId() {
      return this.areaId;
   }

   public void setUnitName(final String unitName) {
      this.unitName = unitName;
   }

   public void setRate(final BigDecimal rate) {
      this.rate = rate;
   }

   public void setWeighType(final Integer weighType) {
      this.weighType = weighType;
   }

   public void setAreaId(final Long areaId) {
      this.areaId = areaId;
   }
}
